/**
 * Tom Forsyth's Trilight lighting model.
 *
 * https://tomforsyth1000.github.io/papers/trilight/trilight.html
 *
 * @param surfNormal vec3
 * @param lightDir vec3
 * @param col1 vec3
 * @param col2 vec3
 * @param col3 vec3
 */
export declare const trilight: import("@thi.ng/shader-ast").TaggedFn5<"vec3", "vec3", "vec3", "vec3", "vec3", "vec3">;
