/**
 * Inline function. Returns max(v.x, v.y)
 *
 * @param v
 */
export declare const maxComp2: (v: import("@thi.ng/shader-ast").Sym<"vec2"> | import("@thi.ng/shader-ast").Sym<"vec3"> | import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns max(v.x, v.y, v.z)
 *
 * @param v
 */
export declare const maxComp3: (v: import("@thi.ng/shader-ast").Sym<"vec3"> | import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns max(v.x, v.y, v.z, v.w)
 *
 * @param v
 */
export declare const maxComp4: (v: import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
