/**
 * Higher order function producing a function to compute the raymarched
 * scene normal for a given scene function and intersection position.
 * Like `raymarch()`, this function takes an existing scene function as
 * argument.
 *
 * @param scene
 * @param name
 */
export declare const raymarchNormal: (scene: import("@thi.ng/shader-ast").TaggedFn1<"vec3", "vec2">, name?: string) => import("@thi.ng/shader-ast").TaggedFn2<"vec3", "float", "vec3">;
