/**
 * Inline function. Similar to `indexToUV()`, but returns uvec2 in pixel
 * coords. Not compatible with WebGL1.
 *
 * @param i
 * @param width
 */
export declare const indexToCoord: (i: import("@thi.ng/shader-ast").Term<"uint">, width: import("@thi.ng/shader-ast").Term<"uint">) => import("@thi.ng/shader-ast").Lit<"uvec2">;
/**
 * Inline function. Reverse op to `indexToCoord()`.  Not compatible with
 * WebGL1.
 *
 * @param coord
 * @param width
 */
export declare const coordToIndex: (coord: import("@thi.ng/shader-ast").Term<"uvec2">, width: import("@thi.ng/shader-ast").Term<"uint">) => import("@thi.ng/shader-ast").Term<"uint">;
