import { float, pow, vec2, vec3, vec4 } from "@thi.ng/shader-ast";
const GAMMA = float(2.2);
const INV_GAMMA = float(1 / 2.2);
const $ = (t, x) => ({
    float: x,
    vec2: vec2(x),
    vec3: vec3(x),
    vec4: vec4(x, x, x, 1)
}[t.type]);
export const toLinear = (x) => pow(x, $(x, GAMMA));
export const toSRGB = (x) => pow(x, $(x, INV_GAMMA));
