import { Prim, Term } from "@thi.ng/shader-ast";
/**
 * Inline function, expands to equivalent of `clamp(x, 0, 1)`.
 *
 * @param x
 */
export declare const clamp01: <T extends Prim>(x: Term<T>) => Term<T>;
/**
 * Inline function, expands to equivalent of `clamp(x, -1, 1)`.
 *
 * @param x
 */
export declare const clamp11: <T extends Prim>(x: Term<T>) => Term<T>;
