/**
 * Inline function. Computes 2D cross product of given vectors.
 *
 * @see crossC2
 *
 * @param a
 * @param b
 */
export declare const cross2: (a: import("@thi.ng/shader-ast").Term<"vec2">, b: import("@thi.ng/shader-ast").Term<"vec2">) => import("@thi.ng/shader-ast").Op2<"float">;
/**
 * Inline function. Computes 2D cross product of given individual
 * components: ax * by - ay * bx
 *
 * @param ax
 * @param ay
 * @param bx
 * @param by
 */
export declare const crossC2: (ax: import("@thi.ng/shader-ast").Term<"float">, ay: import("@thi.ng/shader-ast").Term<"float">, bx: import("@thi.ng/shader-ast").Term<"float">, by: import("@thi.ng/shader-ast").Term<"float">) => import("@thi.ng/shader-ast").Op2<"float">;
