import { $w, $x, $y, $z, abs, add, sub } from "@thi.ng/shader-ast";
export const distManhattan2 = (a, b) => add(abs(sub($x(a), $x(b))), abs(sub($y(a), $y(b))));
export const distManhattan3 = (a, b) => add(distManhattan2(a, b), abs(sub($z(a), $z(b))));
export const distManhattan4 = (a, b) => add(distManhattan3(a, b), abs(sub($w(a), $w(b))));
