/**
 * Inline function. Returns min(v.x, v.y)
 *
 * @param v
 */
export declare const minComp2: (v: import("@thi.ng/shader-ast").Sym<"vec2"> | import("@thi.ng/shader-ast").Sym<"vec3"> | import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns min(v.x, v.y, v.z)
 *
 * @param v
 */
export declare const minComp3: (v: import("@thi.ng/shader-ast").Sym<"vec3"> | import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns min(v.x, v.y, v.z, v.w)
 *
 * @param v
 */
export declare const minComp4: (v: import("@thi.ng/shader-ast").Sym<"vec4">) => import("@thi.ng/shader-ast").FnCall<"float">;
